API DocumentationManufacturer customer organisation controller

Add metadata to a customer organisation

POST
/api/manufacturer/v1/organisation/{organisationId}/metadata

Adds a new metadata entry (key/value pair) to a customer organisation. Keys must be unique per organisation.

Authorization

Phasio API Bearer Token
headerAuthorizationBearer <token>

Path Parameters

organisationId*integer

ID of the organisation to add metadata to

Formatint64

Request Body

application/json
  1. body
metadataKey*string
value*string

Response Body

Metadata added successfully

application/json
  1. response
id*string
Formatuuid
metadataKey*string
value*string
curl -X POST 'https://m-api.eu.phas.io/api/manufacturer/v1/organisation/1/metadata' \  -H 'Content-Type: application/json' \  -d '{  "metadataKey": "string",  "value": "string"}'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "metadataKey": "string",  "value": "string"}